<template>
    <div class="home" v-loading="isshow" :element-loading-text="istype"  
    element-loading-spinner="el-icon-loading"
    element-loading-background="rgba(0, 0, 0, 0.8)">
    <!-- <div v-wechat-title="$route.meta.title=name"></div> -->
        <div class="top">
            <div class="leftsearch">
                <input v-model="searchvalue" type="text" placeholder="请输入搜索项目"/>
            </div>
            <div class="rightsearch">
                <button @click="searchbtn()" class="btn">搜索</button>
            </div>
           
        </div>
        <ul class="list" >
            <li v-for="(item,index) in datalist" :key="index" @click="todetail(item)">{{item.proName}}</li>
        </ul>
    </div>
</template>
<script type="text/ecmascript-6">
 import format from '../../utils/format.js';
export default {  
    data(){
        return{
             isshow:false,
             istype:'',
             searchvalue:'',
             datalist:[],
        }
      
    },
    methods:{
       searchbtn(){
           let that=this;
           that.isshow=true;
           that.istype="搜索中"
            client.apexrest('/project/selectProjectName2?proName='+that.searchvalue,function(data){
                  console.log(data);
                    if(data.message=='success'){
                        that.isshow=false;
                        if(data.records.length>0){
                            that.datalist=data.records;
                        }else{
                            that.datalist=[];
                        }
                    }else{
                        that.isshow=false;
                        console.log(data.message);
                    }
                },function(error){
                    that.isshow=false;
                    
                },'GET',null,true)
       },
       todetail(item){
            if(item.proType=="实施"){
                 this.$router.push({path:'./project',query:{id:item.proId,name:item.proName}})
            }else if(item.proType=="维护"){
                 this.$router.push({path:'./defendproject',query:{id:item.proId,name:item.proName}})
            }
        
       }
    },
    created(){
         var _mtac = {};
         (function() { 
            var mta = document.createElement("script");
            mta.src = "//pingjs.qq.com/h5/stats.js?v2.0.4"; 
            mta.setAttribute("name", "MTAH5");
            mta.setAttribute("sid", "500652293"); 
            var s = document.getElementsByTagName("script")[0]; 
            s.parentNode.insertBefore(mta, s); })(); 
    }
}
</script>
<style lang="scss" type="text/scss" scoped>
   .home{
       width: 100%;
       margin: 0 auto;
       height:100vh;
   }
   .home .top{
       width: 95%;
       margin: 0.2rem auto 0 auto;
       height: 0.8rem;
       display: flex;
       border:0.02rem solid #5477AB;

   }
   .home .top .leftsearch{
       width: 70%;
       height: 0.8rem;
   }
    .home .top .leftsearch input{
        width:100%;
        height: 0.7rem;
        border:none;
        padding-left: 0.2rem;
    }
     .home .top .leftsearch input::-webkit-input-placeholder{
        //  line-height: 0.7rem;
        //  text-indent: 0.2rem;
     }
   .home .top .rightsearch{
       width:30%;

   }
   .home .top .rightsearch .btn{
       width:100%;
       background: #5477AB;
       color: white;
       height: 0.8rem;
       line-height: 0.8rem;
       text-align: center;

   }
   .home .list{
       width:95%;
       margin: 0 auto;
   }
    .home .list li{
        width:100%;
        height: 1rem;
        line-height: 1rem;
        color: gray;
        background: white;
        text-indent:0.2rem;
        border-bottom: 0.02rem solid #5477AB;
    }
</style>

